MWAWFont::Line Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWFont::Line Struct Reference

a small struct to define a line in MWAWFont More...

`#include <MWAWFont.hxx>`

## Public Types
enum | Style { None, Simple, Dot, LargeDot, Dash, Wave }
| the line style More...
enum | Type { Single, Double, Triple }
| the line style More...

## Public Member Functions
| Line (Style style=None, Type type=Single, bool wordFlag=false, float w=1.0)
| constructor More...
bool | isSet () const
| return true if the line is not empty More...
void | addTo (librevenge::RVNGPropertyList &propList, std::string const &type) const
| add a line to the propList knowing the type (line-through, underline, overline ) More...
bool | operator== (Line const &oth) const
| operator== More...
bool | operator!= (Line const &oth) const
| operator!= More...
int | cmp (Line const &oth) const
| small comparison function More...

## Public Attributes
Style | m_style
| the style More...
Type | m_type
| the type More...
bool | m_word
| word or not word line More...
float | m_width
| the width in point More...
MWAWVariable< MWAWColor > | m_color
| the color ( if not set, we use the font color ) More...

## Friends
std::ostream & | operator<< (std::ostream &o, Line const &line)
| operator<< More...

## Detailed Description

a small struct to define a line in MWAWFont

## Member Enumeration Documentation

enum MWAWFont::Line::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |
Wave |

enum MWAWFont::Line::Type

the line style

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

MWAWFont::Line::Line | ( | Style | style = `None`,
|  | Type | type = `Single`,
|  | bool | wordFlag = `false`,
|  | float | w = `1.0`
| ) |  |
| inline

constructor

## Member Function Documentation

void MWAWFont::Line::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string const & | type
| ) |  | const

add a line to the propList knowing the type (line-through, underline, overline )

Referenced by MWAWFont::addTo().

int MWAWFont::Line::cmp | ( | Line const & | oth | ) | const
| inline

small comparison function

Referenced by operator!=(), and operator==().

bool MWAWFont::Line::isSet | ( |  | ) | const
| inline

return true if the line is not empty

Referenced by addTo(), LightWayTxtTextInternal::Font::merge(), operator<<(), MoreText::sendText(), and MsWrdStruct::Font::updateFontToFinalState().

bool MWAWFont::Line::operator!= | ( | Line const & | oth | ) | const
| inline

operator!=

bool MWAWFont::Line::operator== | ( | Line const & | oth | ) | const
| inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWFont::Line const & | line
| ) |  |
| friend

operator<<

## Member Data Documentation

MWAWVariable<MWAWColor> MWAWFont::Line::m_color

the color ( if not set, we use the font color )

Referenced by addTo(), cmp(), and operator<<().

Style MWAWFont::Line::m_style

the style

Referenced by addTo(), cmp(), isSet(), operator<<(), and MsWrdTextStyles::readFont().

Type MWAWFont::Line::m_type

the type

Referenced by addTo(), cmp(), and operator<<().

float MWAWFont::Line::m_width

the width in point

Referenced by addTo(), cmp(), isSet(), and operator<<().

bool MWAWFont::Line::m_word

word or not word line

Referenced by addTo(), cmp(), and operator<<().

The documentation for this struct was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx